%global pypi_name automat
%global srcname Automat

Name:		python-%{pypi_name}
Version:	22.10.0
Release:	%mkrel 3
Summary:	Python library for finite-state machines
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/Automat/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(setuptools-scm)

%description
Python library for finite-state machines.

%package -n	python3-%{pypi_name}
Summary:	Python library for finite-state machines
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
Python library for finite-state machines.

%prep
%setup -qn Automat-%{version}
%autopatch -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md docs/*
%license LICENSE
%{_bindir}/automat-visualize


%changelog
* Wed Dec 20 2023 joequant <joequant> 22.10.0-3.mga10
+ Revision: 2020492
- rebuild for py3.12

* Wed Dec 20 2023 tv <tv> 22.10.0-2.mga10
+ Revision: 2020278
- Rebuild for python 3.12

* Sun Jan 15 2023 wally <wally> 22.10.0-1.mga9
+ Revision: 1933609
- new version 22.10.0

* Tue Mar 29 2022 umeabot <umeabot> 20.2.0-4.mga9
+ Revision: 1832160
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 20.2.0-3.mga9
+ Revision: 1772181
- rebuild for python3.10
- build with m2r2 instead of kind of dead m2r

* Sun Mar 14 2021 wally <wally> 20.2.0-2.mga9
+ Revision: 1702545
- rebuild for python 3.9

* Mon Mar 01 2021 joequant <joequant> 20.2.0-1.mga9
+ Revision: 1694885
- add setuptools-scm requires
- update for buildbot

* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-2.mga8
+ Revision: 1530741
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 0.7.0-1.mga8
+ Revision: 1437289
- new version 0.7.0
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 0.6.0-6.mga7
+ Revision: 1349578
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-5.mga7
+ Revision: 1288249
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 daviddavid <daviddavid> 0.6.0-4.mga7
+ Revision: 1203504
- really rename python-automat to python2-automat

* Fri Oct 06 2017 daviddavid <daviddavid> 0.6.0-3.mga7
+ Revision: 1169568
- add another missing BR on python2dist(setuptools-scm) and python3dist(setuptools-scm)
- rename python-automat to python2-automat
+ tv <tv>
- add BR on python2dist(m2r) and python3dist(m2r) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.6.0-2.mga7
+ Revision: 1135318
- Rebuild for python 3.6

* Sat Jul 29 2017 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1132250
- initial package python-automat

